Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_InputButtonToAxis_Digital

Converts two CL_InputButton's into one digital CL_InputAxis.
Contained in: global
Derived from: CL_InputAxis
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

### public function member index:

### Construction:

`` | `CL_InputButtonToAxis_Digital` | `(`CL_InputButton`* `_left`, `CL_InputButton`* `_right`)`;

### Attributes:

``virtual` `float`` | `get_pos` | `()`;

## Description:

## Function Member Descriptions:

CL_InputButtonToAxis_Digital::CL_InputButtonToAxis_Digital - Constructs a button to axis converter using the two buttons 'left' and 'right'.
`` `CL_InputButtonToAxis_Digital` `(`CL_InputButton`* `_left`, `CL_InputButton`* `_right`)`;

CL_InputButtonToAxis_Digital::get_pos - Returns the axis position.
``virtual` `float`` `get_pos` `()`;

> Returns - Current axis position.

## Variable Member Descriptions: